<?php
################################################################################
# @Name : pie_companys.php
# @Desc : Display Statistics of chart 8 
# @call : /stat.php
# @parameters : 
# @Author : Flox
# @Create : 08/03/2014
# @Update : 05/12/2016
# @Version : 3.1.13
################################################################################

//array declaration
$values = array();
$xnom = array();

//display title
$libchart="Répartition du nombre de tickets par Sociétés";
$unit='tickets';

//query
$query1 = "
SELECT tcompany.name as company, COUNT(*) as nb
FROM tincidents, tcompany, tusers
WHERE 
tcompany.id=tusers.company AND
tusers.id=tincidents.user AND
tincidents.disable='0' AND
tcompany.id!='0' AND
tincidents.type LIKE '$_POST[type]' AND
tincidents.criticality like '$_POST[criticality]' AND
tincidents.u_service LIKE '$_POST[service]' AND
tincidents.category LIKE '$_POST[category]' AND
tincidents.date_create LIKE '%-$_POST[month]-%' AND
tincidents.date_create LIKE '$_POST[year]-%' AND
tincidents.technician LIKE '$_POST[tech]'
GROUP BY tcompany.name 
ORDER BY nb
DESC ";

if ($rparameters['debug']==1) {echo $query1;}
$query = $db->query($query1);
while ($row=$query->fetch()) 
{
	$name=substr($row[0],0,35);
	$name=str_replace("'","\'",$name); 
	array_push($values, $row[1]);
	array_push($xnom, $name);
} 
$query->closecursor();
$container='container8';
include('./stat_pie.php');
echo "<div id=\"$container\"></div>";
if ($rparameters['debug']==1)echo $query1;
?>